Skip to content

Language Model Direct Access

Các phương pháp để truy xuất và kiểm tra các mục nhập từ mô hình ngôn ngữ.

Liệt kê các dạng biến cách

Request

Truy xuất các dạng biến cách của một trị từ vựng cụ thể trong một họ ngôn ngữ nhất định.

Security
Tisane-API-Key
Query
languagestringrequired

Mã của một ngôn ngữ trong Tisane. Ví dụ: en.

Example:language=en
lexemestringrequired

ID của trị từ vựng cần kiểm tra.

Example:lexeme=3130180
familystringrequired

ID của họ cần kiểm tra.

Example:family=58443
GET
/lm/inflections
curl -i -X GET \
  'https://api.tisane.ai/lm/inflections?language=en&lexeme=3130180&family=58443' \
  -H 'Ocp-Apim-Subscription-Key: YOUR_API_KEY_HERE'

Responses

Phản hồi thành công

Bodyapplication/json
Array [
textstring
isLemmaboolean
featuresArray of objects
]
Response
[ { "text": "bought", "features": [] }, { "text": "bought", "features": [] }, { "text": "buy", "isLemma": true, "features": [] }, { "text": "buys", "features": [] }, { "text": "buying", "features": [] }, { "text": "buy", "features": [] }, { "text": "buy", "features": [] }, { "text": "buy", "features": [] } ]